View Issue Details

IDProjectCategoryView StatusLast Update
0000149Xdebug(No Category)public2005-09-21 10:35
ReportermikedransfieldAssigned Toderick 
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000149: Server module crashes under Apache 1.3.33
DescriptionSame bug as reported here

http://pecl.php.net/bugs/bug.php?id=5437

I am using the latest code checked out from CVS
Additional InformationPHP version is 5.0.5

configured with

'./configure' '--prefix=/php5' '--with-apxs=/www/bin/apxs'
'--with-gd=shared' '--with-jpeg-dir=/usr' '--with-png-dir=/usr'
'--with-iconv' '--with-zlib' '--with-openssl' '--with-mysqli'
'--without-sqlite' '--disable-posix' '--disable-dom' '--without-mysql'
'--disable-tokenizer'

Reproduce code:
---------------
The code to reproduce

http://dev.12snow.co.uk/pear-bug/test.php.txt

The cache file used

http://dev.12snow.co.uk/pear-bug/GetConfig-33.php.txt

Expected result:
----------------
http://dev.12snow.co.uk/pear-bug/expected_output.txt

Actual result:
--------------
Backtrace

http://dev.12snow.co.uk/pear-bug/bt.txt

Diff from php.ini-dist

http://dev.12snow.co.uk/pear-bug/php.ini.diff.txt
TagsNo tags attached.
Operating SystemLinux 2.6 (Fedora 2)
PHP Version5.0.4

Activities

derick

2005-09-20 21:43

administrator   ~0000283

I have a fix for this, but this fix needs to be done in PHP. I'll talk to the Zend people about that.

derick

2005-09-21 10:35

administrator   ~0000284

Is now fixed in PHP 4.4, 5.1 and 6.0 (but not yet for 5.0, this should be done soon).

Issue History

Date Modified Username Field Change
2005-09-20 18:44 mikedransfield New Issue
2005-09-20 21:43 derick Note Added: 0000283
2005-09-21 10:35 derick Status new => resolved
2005-09-21 10:35 derick Resolution open => fixed
2005-09-21 10:35 derick Assigned To => derick
2005-09-21 10:35 derick Note Added: 0000284
2016-07-31 12:35 derick Category Debug client (console) => debugclient (debugging tool)
2016-07-31 12:35 derick Category debugclient (debugging tool) => (No Category)